package admin.model;

import lombok.Data;

/**
 * @author lj
 * @date 2025/2/27 17:38
 */
@Data
public class WebSocketModel {

    private String action;
    /**
     * 后端响应数据
     */
    private String content;
    private String type;
    /**
     * 会话id
     */
    private String sessionId;
    /**
     * 前端提问数据
     */
    private String data;
    /**
     * 大屏账号名称
     */
    private String name;

    /**
     * 前端根据这类型进行判断：1-中科慧居简介 2-饼状图 3-柱状图 4-趋势图
     */
    private String showType;
}
