package admin.service.impl;

import admin.model.python.PythonApiReq;
import admin.service.PythonOpenApiClient;
import admin.util.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author lj
 * @date 2025/3/13 15:17
 */
@Service
@RequiredArgsConstructor
@Slf4j
public class PythonOpenApiClientImpl implements PythonOpenApiClient {
    @Override
    public String getAnalysisData(PythonApiReq pythonApiReq) {
        return HttpUtil.post("http://py.justh5.com/aiapi/sqlqa/", pythonApiReq);
    }
}
